mangobrain home

If ACCELERATOR doesn't run, try this!

Posted on 2005/09/04 13:26

PLEASE READ

If ACCELERATOR moans about a missing OpenGL extension, try this:

I apologise for the cockup - for some reason, PyOpenGL doesn't seem to define GL_CLAMP_TO_EDGE, which led me to search out a supported extension to provide the same functionality. However, I didn't realise that it's not a widely supported extension, because GL_CLAMP_TO_EDGE really ought to be being defined as a core feature in OpenGL 1.2 and above.

I previously never caught this because ATI cards do support the extension (NVIDIA don't), and I'd only ever run the game on the development machine, with an ATI card. Anyone care to shed light on why PyOpenGL doesn't define GL_CLAMP_TO_EDGE directly for me?

Add comment
Comment by Dave on 2005-09-05 09:37

I'm having difficulty getting this to run on Windows. I've installed Python 2.4, and the corresponding version of pyGame, pyOpenGL, and pyODE, but I'm getting failures at line 14, when it tries to import stuff from OpenGL.GL. Any ideas?

Comment by Dave on 2005-09-05 09:40

Gah, ignore me, I installed "OpenGL Context", rather than pyOpenGL. This is why I don't like sourceforge :(